Subject: [New-wg-docs] I-D Action: draft-ietf-tls-external-psk-guidance-00.txt

From: [email-masked]
Date: Wed, 17 Jun 2020 20:28:20 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Transport Layer Security WG of the IETF.

        Title           : Guidance for External PSK Usage in TLS
        Authors         : Russ Housley
                          Jonathan Hoyland
                          Mohit Sethi
                          Christopher A. Wood
	Filename        : draft-ietf-tls-external-psk-guidance-00.txt
	Pages           : 12
	Date            : 2020-06-17

Abstract:
   This document provides usage guidance for external Pre-Shared Keys
   (PSKs) in TLS.  It lists TLS security properties provided by PSKs
   under certain assumptions and demonstrates how violations of these
   assumptions lead to attacks.  This document also discusses PSK use
   cases, provisioning processes, and TLS stack implementation support
   in the context of these assumptions.  It provides advice for
   applications in various use cases to help meet these assumptions.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-tls-external-psk-guidance/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-tls-external-psk-guidance-00
https://datatracker.ietf.org/doc/html/draft-ietf-tls-external-psk-guidance-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/